/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_TPBP                                                     */
/* Tabela : TIPOBAIXAPAG                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 13/05/2004 - Daniel Costa Salles                                           */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_TPBP
BEFORE INSERT OR UPDATE OR DELETE
ON TIPOBAIXAPAG FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUTPBP := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.IDBAIXAUTILP,0) <> NVL(:NEW.IDBAIXAUTILP,0)) OR
         (NVL(:OLD.IDCTBLBXPAG ,0) <> NVL(:NEW.IDCTBLBXPAG ,0)) OR
         (NVL(:OLD.CDTPBAIXAPAG,0) <> NVL(:NEW.CDTPBAIXAPAG,0)) OR
         (NVL(:OLD.NMTPBAIXAPAG,0) <> NVL(:NEW.NMTPBAIXAPAG,0)) OR
         (NVL(:OLD.VRMAXDOCCNAB,0) <> NVL(:NEW.VRMAXDOCCNAB,0)) OR
         (NVL(:OLD.CDTPCREDBANC,0) <> NVL(:NEW.CDTPCREDBANC,0)) THEN
         :NEW.DTULTATUTPBP := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('TIPOBAIXAPAG', '', 'CDTPBAIXAPAG='||:OLD.CDTPBAIXAPAG||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE TIPOBAIXAPAG MODIFY DTULTATUTPBP DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_TPBP','4.09.084'); END;
/

